
Redmine - Defect #1072

Brazilian Portuguese translation outdated

2008-04-18 03:01 - F. D. Castel

Status: Closed Start date: 2008-04-18

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

File lang/pt-br.yml is very outdated (compared to lang/en.yml).

Also, it contains some minor errors.

I'm doing a full review based on current trunk version of lang/en.yml. Will send a patch soon, when finished.

Related issues:

Related to Redmine - Patch #1074: Patch for #1072 Closed 2008-04-18

History

#1 - 2008-04-18 03:14 - F. D. Castel

Also, the file is without accents.

Portuguese language is heavy based on accents. However, if I save the file with accents probably would be some codepage clashes.

Anybody have a tip on this problem? Could YML files be saved in UTF-8? Would this work in Ruby 1.8?

(I think no...)

#2 - 2008-04-18 07:09 - F. D. Castel

Almost finished. Making final review.

About accents (diacriticals), I think I could use HTML escape codes (<&aacute;>, <&atilde;>) in YML file.

This would break something? Any suggestions?

#3 - 2008-04-19 12:57 - Thomas Löber

Please just use UTF-8.

This line already has an accented í:

text_issue_added: Tarefa %s foi incluída (by %s).

#4 - 2008-04-19 14:00 - Jean-Philippe Lang

Thomas is right. No HTML entities, just UTF-8.

You may want to read this: HowTo translate Redmine in your own language.

#5 - 2008-04-24 10:02 - Marcos Piccinini

Hi Fabio, have you finished ? Send what you`ve done so far if not, Ill like to help.

#6 - 2008-04-24 19:19 - F. D. Castel

Marcos: Yes. Please, see Patch #1074

Thomas & Jean-Philippe: Thank for the tips. I'll update the file to UTF-8 soon. (in one week, maybe - Marcos, if you wanna help - be my guest :) )

Regards,

Fabio

P.S.: I didn't receive e-mail notifications for the comments from Thomas & Jean-Philippe. Only of Marcos (today) - Possible bug?
#7 - 2008-04-24 19:38 - Jean-Philippe Lang

- Category set to Translations

- Status changed from New to Closed

Fabio: Email notification was off during a few days.

I close this ticket since you provided a patch in #1074.
